## org.biojava.bio.program.tagvalue
Class StateMachine.SimpleStateListener

    java.lang.Object
      org.biojava.bio.program.tagvalue.StateMachine.SimpleStateListener

All Implemented Interfaces:
  TagValueListener

Enclosing class:
  StateMachine

    public class StateMachine.SimpleStateListener

extends Object
implements TagValueListener

a basic listener for a State. It forwards all events to the delegate for the StateMachine. Extend to implement listeners for specific states.

Constructor Summary
`StateMachine.SimpleStateListener()`

Method Summary
`void` `endRecord()` The current record has ended.
`void` `endTag()` End the current tag.
`void` `setExceptionOnNullDelegate(boolean throwException)` determines if an exception is thrown when an event arrives without the delegate being set.
`void` `startRecord()` A new record is about to start.
`void` `startTag(Object tag)` Start a new tag.
`void` `value(TagValueContext ctxt, Object value)` A value has been seen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateMachine.SimpleStateListener

    public StateMachine.SimpleStateListener()

Method Detail

### setExceptionOnNullDelegate

    public void setExceptionOnNullDelegate(boolean throwException)

  determines if an exception is thrown when an event arrives without the delegate being set. Default is that a ParserException is thrown. i

### startTag

    public void startTag(Object tag)
                  throws ParserException

  Description copied from interface: `TagValueListener`
  Start a new tag.

  Specified by:
    `startTag` in interface `TagValueListener`
  Parameters:
    `tag` - the Object representing the new tag
  Throws:
    `ParserException` - if the tag could not be started

### endTag

    public void endTag()
                throws ParserException

  Description copied from interface: `TagValueListener`
  End the current tag.

  Specified by:
    `endTag` in interface `TagValueListener`
  Throws:
    `ParserException` - if the tag could not be ended

### startRecord

    public void startRecord()
                     throws ParserException

  Description copied from interface: `TagValueListener`
  A new record is about to start.

  Specified by:
    `startRecord` in interface `TagValueListener`
  Throws:
    `ParserException` - if the record can not be started

### endRecord

    public void endRecord()
                   throws ParserException

  Description copied from interface: `TagValueListener`
  The current record has ended.

  Specified by:
    `endRecord` in interface `TagValueListener`
  Throws:
    `ParserException` - if the record can not be ended

### value

    public void value(TagValueContext ctxt,
                      Object value)
               throws ParserException

  Description copied from interface: `TagValueListener`
  A value has been seen.

  Specified by:
    `value` in interface `TagValueListener`
  Parameters:
    `ctxt` - a TagValueContext that could be used to push a sub-document
    `value` - the value Object observed
  Throws:
    `ParserException` - if the value could not be processed